
BEGIN;

CREATE TABLE playlist_sharing (
    id varchar(20) NOT NULL,
    user_id int NOT NULL,
    user_name text DEFAULT '',
    playlist_id text NOT NULL,
    path text NOT NULL DEFAULT '',
    avail_date date NOT NULL DEFAULT '1970-01-01',
    exp_date date NOT NULL DEFAULT '1970-01-01',
    status varchar(32) DEFAULT '',
    updated character DEFAULT '1',
    CONSTRAINT playlist_sharing_pkey PRIMARY KEY (id),
    CONSTRAINT playlist_sharing_ukey UNIQUE (user_id, playlist_id)
)
WITHOUT OIDS;

COMMIT;
