BEGIN;

CREATE SEQUENCE pin_id_seq;
CREATE TABLE pin (
		id varchar(20) NOT NULL DEFAULT nextval('pin_id_seq'),
		user_id int NOT NULL,
		type varchar(64) NOT NULL,
		name text DEFAULT '',
		criteria text DEFAULT '',
		sort_key int NOT NULL,
		CONSTRAINT audio_pin_pkey PRIMARY KEY (id),
		CONSTRAINT audio_pin_ukey UNIQUE (user_id, type, criteria)
		)
WITHOUT OIDS;
ALTER SEQUENCE pin_id_seq OWNED BY pin.id;

COMMIT;
