#!/bin/sh

#include common scripts
FILE_AUDIOSTATION_INC_SCRIPT=/var/packages/AudioStation/target/scripts/hook/AudioStationCommon.sh
. ${FILE_AUDIOSTATION_INC_SCRIPT}

#At begining, acquire package settings
PackageInfoGet;

AUDIOUSER=/var/packages/AudioStation/target/pkgbin/audiouser

case $1 in
	--sdk-mod-ver)
		#print SDK support version
		echo ${AUDIOSTATION_SDK_USERVER};
	;;
	--name)
		#print package name
		echo ${AUDIOSTATION_PKG_NAME};
	;;
	--pkg-ver)
		#print package version
		echo ${AUDIOSTATION_PKG_VERSION}
	;;
	--vendor)
		#printf package vendor
		echo ${AUDIOSTATION_PKG_VENDOR};
	;;
	--pre)
	;;
	--post)
		${AUDIOUSER} --user_delete_hook
	;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac


